diff -r e82534c138da -r beba857bd97d qpy/QtCore/qpycore_types.cpp
--- a/qpy/QtCore/qpycore_types.cpp	Mon Feb 20 12:30:26 2017 +0000
+++ b/qpy/QtCore/qpycore_types.cpp	Fri Mar 03 17:55:06 2017 +0000
@@ -142,14 +142,22 @@
     if (sipWrapperType_Type->tp_init((PyObject *)self, args, kwds) < 0)
         return -1;
 
-    const pyqt4ClassPluginDef *pyqt_td = reinterpret_cast<const pyqt4ClassPluginDef *>(sipTypePluginData(((sipWrapperType *)self)->wt_td));
+    const sipTypeDef *td = ((sipWrapperType *)self)->wt_td;
 
-    if (pyqt_td && !sipIsExactWrappedType((sipWrapperType *)self))
+    // It's possible that there is no generated type definition if the
+    // meta-type is being used for a class that is not sub-classed from
+    // sip.simplewrapper.
+    if (td)
     {
-        // Create a dynamic meta-object as its base wrapped type has a static
-        // Qt meta-object.
-        if (pyqt_td->static_metaobject && create_dynamic_metaobject(self) < 0)
-            return -1;
+        const pyqt4ClassPluginDef *pyqt_td = reinterpret_cast<const pyqt4ClassPluginDef *>(sipTypePluginData(td));
+
+        if (pyqt_td && !sipIsExactWrappedType((sipWrapperType *)self))
+        {
+            // Create a dynamic meta-object as its base wrapped type has a
+            // static Qt meta-object.
+            if (pyqt_td->static_metaobject && create_dynamic_metaobject(self) < 0)
+                return -1;
+        }
     }
 
     return 0;
